org.apache.poi.hslf.record

## Class OEPlaceholderAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.OEPlaceholderAtom

- All Implemented Interfaces:
    GenericRecord

      public final class OEPlaceholderAtom
      extends RecordAtom

  OEPlaceholderAtom (3011).

  An atom record that specifies whether a shape is a placeholder shape.

  See Also:
    `Placeholder`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PLACEHOLDER_FULLSIZE` The full size of the master body text placeholder shape.
    `static int` | `PLACEHOLDER_HALFSIZE` Half of the size of the master body text placeholder shape.
    `static int` | `PLACEHOLDER_QUARTSIZE` A quarter of the size of the master body text placeholder shape.

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `OEPlaceholderAtom()` Create a new instance of `OEPlaceholderAtom`
    `protected` | `OEPlaceholderAtom(byte[] source, int start, int len)` Build an instance of `OEPlaceholderAtom` from on-disk data

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getPlaceholderId()` Returns the placeholder Id.
    `int` | `getPlaceholderSize()` Returns the placeholder size.
    `int` | `getPlacementId()` Returns the placement Id.
    `long` | `getRecordType()` Returns the type (held as a little endian in bytes 3 and 4) that this class handles
    `void` | `setPlaceholderId(byte id)` Sets the placeholder Id.
    `void` | `setPlaceholderSize(byte size)` Sets the placeholder size.
    `void` | `setPlacementId(int id)` Sets the placement Id.
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLACEHOLDER_FULLSIZE

          public static final int PLACEHOLDER_FULLSIZE

      The full size of the master body text placeholder shape.
      See Also:
        Constant Field Values

    - #### PLACEHOLDER_HALFSIZE

          public static final int PLACEHOLDER_HALFSIZE

      Half of the size of the master body text placeholder shape.
      See Also:
        Constant Field Values

    - #### PLACEHOLDER_QUARTSIZE

          public static final int PLACEHOLDER_QUARTSIZE

      A quarter of the size of the master body text placeholder shape.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OEPlaceholderAtom

          public OEPlaceholderAtom()

      Create a new instance of `OEPlaceholderAtom`

    - #### OEPlaceholderAtom

          protected OEPlaceholderAtom(byte[] source,
                                      int start,
                                      int len)

      Build an instance of `OEPlaceholderAtom` from on-disk data

  - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      Description copied from class: `Record`
      Returns the type (held as a little endian in bytes 3 and 4) that this class handles
      Specified by:
        `getRecordType` in class `Record`
      Returns:
        type of this record `RecordTypes.OEPlaceholderAtom`.

    - #### getPlacementId

          public int getPlacementId()

      Returns the placement Id.

      The placement Id is a number assigned to the placeholder. It goes from -1 to the number of placeholders. It SHOULD be unique among all PlacholderAtom records contained in the corresponding slide. The value 0xFFFFFFFF specifies that the corresponding shape is not a placeholder shape.

      Returns:
        the placement Id.

    - #### setPlacementId

          public void setPlacementId(int id)

      Sets the placement Id.

      The placement Id is a number assigned to the placeholder. It goes from -1 to the number of placeholders. It SHOULD be unique among all PlacholderAtom records contained in the corresponding slide. The value 0xFFFFFFFF specifies that the corresponding shape is not a placeholder shape.

      Parameters:
        `id` - the placement Id.

    - #### getPlaceholderId

          public int getPlaceholderId()

      Returns the placeholder Id.

      placeholder Id specifies the type of the placeholder shape. The value MUST be one of the static constants defined in this class

      Returns:
        the placeholder Id.

    - #### setPlaceholderId

          public void setPlaceholderId(byte id)

      Sets the placeholder Id.

      placeholder Id specifies the type of the placeholder shape. The value MUST be one of the static constants defined in this class

      Parameters:
        `id` - the placeholder Id.

    - #### getPlaceholderSize

          public int getPlaceholderSize()

      Returns the placeholder size. Must be one of the PLACEHOLDER_* static constants defined in this class.
      Returns:
        the placeholder size.

    - #### setPlaceholderSize

          public void setPlaceholderSize(byte size)

      Sets the placeholder size. Must be one of the PLACEHOLDER_* static constants defined in this class.
      Parameters:
        `size` - the placeholder size.

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.